package com.cecf.observe;

import org.apache.flink.api.common.functions.FilterFunction;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

public class ServiceNameFilter implements FilterFunction<SpringBootSpan> {

    public ServiceNameFilter(String[] excludeServiceList) {
        this.excludeService = new HashSet<>(Arrays.asList(excludeServiceList));
        this.enabled = !this.excludeService.isEmpty();
    }

    Set<String> excludeService;
    boolean enabled;

    @Override
    public boolean filter(SpringBootSpan springBootSpan) throws Exception {
        if (!this.enabled) {
            return true;
        }
        return !this.excludeService.contains(springBootSpan.ServiceName);
    }
}
