package com.cecf.observe;

import scala.App;

import java.util.*;

public class SpringBootSpan {
    public SpringBootSpan() {
        SpanAttributes = new HashMap<>();
        ResourceAttributes = new HashMap<>();
        RPCRequest = new HashMap<>();
        Events = new ArrayList<>();
        Links = new ArrayList<>();
        Exceptions = new ArrayList<>();
        AppName = "UNSET";
    }

    public boolean hasAppName() {
        return AppName != null && !AppName.equals("UNSET") && !AppName.isEmpty();
    }

    public Date Timestamp;
    public String TraceID;
    public String SpanID;
    public String ParentSpanID;
    public String TraceState;
    public String SpanName;
    public int SpanKind;
    public String ScopeName;
    public String ScopeVersion;
    public Map<String, String> SpanAttributes;
    public String ServiceName;
    public Map<String, String> ResourceAttributes;
    public String AppName;
    public long Duration;
    public String ContainerID;
    public String SrcIP;
    public int SrcPort;
    public String TargetIP;
    public int TargetPort;

    public int HttpCode;
    public String HttpMethod;
    public String HttpURL;
    public String RPCType;
    public String RPCName;
    public Map<String, String> RPCRequest;
    public int RPCResult;

    public String FuncNamespace;
    public String FuncName;
    public int FuncLineNO;
    public int FuncResult;
    public int StatusCode;
    public String StatusMessage;

    public List<TraceEvent> Events;
    public List<TraceLink> Links;
    public String DBStatement;
    public String DBConnectionString;
    public List<TraceException> Exceptions;
}


